# VerificationType

@Incubating
interface VerificationType : Named

Attribute to be used on variants containing the output verification checks (Test data, Jacoco results, etc) which specify the type of verification data.

This attribute is usually found on variants that have the Category attribute valued at VERIFICATION.

#### Since

7.4

## Properties

JACOCO_RESULTS
Link copied to clipboard
val JACOCO_RESULTS: String = "jacoco-coverage"
Binary test coverage data gathered by JaCoCo
MAIN_SOURCES
Link copied to clipboard
val MAIN_SOURCES: String = "main-sources"
A list of directories containing source code, includes code in transitive dependencies
TEST_RESULTS
Link copied to clipboard
val TEST_RESULTS: String = "test-results"
Binary results of running tests containing pass/fail information
VERIFICATION_TYPE_ATTRIBUTE
Link copied to clipboard
val VERIFICATION_TYPE_ATTRIBUTE: Attribute<VerificationType>

## Functions

getName
Link copied to clipboard
abstract fun getName(): String